diff --git a/web/regression/javascript/erd/onetomany_port_spec.js b/web/regression/javascript/erd/onetomany_port_spec.js
index 0ad4831ef..25c25937e 100644
--- a/web/regression/javascript/erd/onetomany_port_spec.js
+++ b/web/regression/javascript/erd/onetomany_port_spec.js
@@ -16,6 +16,6 @@ describe('ERD OneToManyPortModel', ()=>{
 
   it('createLinkModel', ()=>{
     let portObj = new OneToManyPortModel({options: {}});
-    expect(portObj.createLinkModel()).toBeInstanceOf(OneToManyLinkModel);
+    expect(portObj.createLinkModel() instanceof OneToManyLinkModel).toBeTruthy();
   });
 });
diff --git a/web/regression/javascript/erd/table_node_spec.js b/web/regression/javascript/erd/table_node_spec.js
index d8edcdb44..1c8bf74ee 100644
--- a/web/regression/javascript/erd/table_node_spec.js
+++ b/web/regression/javascript/erd/table_node_spec.js
@@ -271,9 +271,9 @@ describe('ERD TableNodeWidget', ()=>{
 
     it('icons', ()=>{
       let cols = nodeWidget.find('.table-node .table-cols .col-row-data');
-      expect(cols.at(0).find('.wcTabIcon').hasClass('icon-primary_key')).toBeTrue();
-      expect(cols.at(1).find('.wcTabIcon').hasClass('icon-column')).toBeTrue();
-      expect(cols.at(2).find('.wcTabIcon').hasClass('icon-column')).toBeTrue();
+      expect(cols.at(0).find('.wcTabIcon').hasClass('icon-primary_key')).toBeTruthy();
+      expect(cols.at(1).find('.wcTabIcon').hasClass('icon-column')).toBeTruthy();
+      expect(cols.at(2).find('.wcTabIcon').hasClass('icon-column')).toBeTruthy();
     });
 
     it('column names', ()=>{
